package it.unibo.tw0708.client;

import java.util.Collection;

import it.unibo.tw0708.web.beans.User;
import it.unibo.tw0708.web.dao.CompactDiscTO;
import it.unibo.tw0708.web.dao.DAOFactory;
import it.unibo.tw0708.web.dao.UserTO;
import it.unibo.tw0708.web.dao.hsqldb.HsqldbCompactDiscDAO;
import it.unibo.tw0708.web.dao.hsqldb.HsqldbUserDAO;

public class InitHSQLDB {

	public static void main(String[] args) {
		HsqldbUserDAO uDAO = (HsqldbUserDAO) DAOFactory.getDAOFactory(DAOFactory.HSQLDB).getUserDAO();
		Collection<UserTO> users = uDAO.getUsers(); 
		if ( users.size() == 0 ) {
			System.out.print("Trying to create user's table.... ");
			System.out.print("" + uDAO.createTable() );
			System.out.println();
			UserTO u1 = new UserTO();
			u1.setName("pisi");
			byte[] pwd = null;
			{
				User u_bean = new User();
				u_bean.setPassword("prova");
				pwd = u_bean.getPasswordAsBytes();
			}
			u1.setPassword(pwd);
			uDAO.insertUser(u1);
		}
		System.out.println("---------------------------");
		users = uDAO.getUsers();
		for ( UserTO user : users ) {
			System.out.println(user.toString());
		}
		System.out.println("---------------------------");
		System.out.println("---------------------------");
		System.out.println("---------------------------");
		HsqldbCompactDiscDAO cdDAO = (HsqldbCompactDiscDAO) DAOFactory.getDAOFactory(DAOFactory.HSQLDB).getCompactDiscDAO();
		Collection<CompactDiscTO> cds = cdDAO.getCompactDiscs(); 
		if ( cds.size() == 0 ) {
			System.out.print("Trying to create cd's table.... ");
			System.out.print("" + cdDAO.createTable() );
			System.out.println();
			CompactDiscTO cd1 = new CompactDiscTO();
			cd1.setOwnerId(0);
			cd1.setArtist("Queen");
			cd1.setTitle("Greatest Hits I");
			cd1.setTracks(17);
			cd1.setYear(1981);
			cd1.setCompilation(true);
			cdDAO.insertCompactDisc(cd1);
		}
		System.out.println("---------------------------");
		cds = cdDAO.getCompactDiscs();
		for ( CompactDiscTO cd : cds ) {
			System.out.println(cd.toString());
		}
		System.out.println("---------------------------");
	}

}
