package it.unibo.tw0708.client;

import java.util.Collection;

import it.unibo.tw0708.web.dao.CompactDiscTO;
import it.unibo.tw0708.web.dao.DAOFactory;
import it.unibo.tw0708.web.dao.UserTO;
import it.unibo.tw0708.web.dao.hsqldb.HsqldbCompactDiscDAO;
import it.unibo.tw0708.web.dao.hsqldb.HsqldbUserDAO;

public class ListEntriesHSQLDB {

	public static void main(String[] args) {
		HsqldbUserDAO uDAO = (HsqldbUserDAO) DAOFactory.getDAOFactory(DAOFactory.HSQLDB).getUserDAO();
		Collection<UserTO> users = uDAO.getUsers(); 
		System.out.println("---------------------------");
		if ( users.size() == 0 ) {
			System.out.print("No users found on user's table.");
		}
		else {
			for ( UserTO user : users ) {
				System.out.println(user.toString());
			}
		}
		System.out.println("---------------------------");
		System.out.println("---------------------------");
		System.out.println("---------------------------");
		HsqldbCompactDiscDAO cdDAO = (HsqldbCompactDiscDAO) DAOFactory.getDAOFactory(DAOFactory.HSQLDB).getCompactDiscDAO();
		Collection<CompactDiscTO> cds = cdDAO.getCompactDiscs(0); 
		System.out.println("---------------------------");
		if ( cds.size() == 0 ) {
			System.out.print("No cds found on cd's table.");
		}
		else {
			for ( CompactDiscTO cd : cds ) {
				System.out.println(cd.toString());
			}
		}
		System.out.println("---------------------------");
		System.out.println("---------------------------");
		System.out.println("---------------------------");
		int total_cds = cdDAO.getCompactDiscNumber(0);
		System.out.println("There are currently " + total_cds + " on the database.");
		System.out.println("---------------------------");
	}

}
