package it.unibo.tw0708.web.beans;

import it.unibo.tw0708.web.dao.DAOFactory;
import it.unibo.tw0708.web.dao.UserDAO;
import it.unibo.tw0708.web.dao.UserTO;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public class User {

	private String name;
	public String getName() { return name; }
	public void setName(String newValue) { name = newValue; }

	// ---------------------------------------------------
	
	private byte[] password;
	public String getPassword() { 
		System.out.println("password digested bytes are " + this.password);
		if ( password == null || password.length == 0 )
			return "";
		return new String(password); 
	}
	public void setPassword(String newValue) { password = this.digest(newValue); }

	public byte[] getPasswordAsBytes() {
		return this.password;
	}
	
	private byte[] digest(String password) {
		System.out.println("received password: " + password);
		if ( password == null ) 
			return new byte[]{};
		try {
			MessageDigest md = MessageDigest.getInstance("SHA-1");
			return md.digest(password.getBytes());
		} catch (NoSuchAlgorithmException e) {
			e.printStackTrace();
			// TODO: handle NoSuchAlgorithmException in a better way
			return password.getBytes();
		}
	}

	// ---------------------------------------------------

	public String login() {
		UserTO existing_user = DAOFactory.getDAOFactory(DAOFactory.HSQLDB).getUserDAO().findUser(this.name);
		if ( existing_user == null )
			return "create";
		if ( ! this.getPassword().equals(new String(existing_user.getPassword()) ) )
			return "wrong";
		return "main";
	}

	public String createNew() {
		UserDAO user_dao = DAOFactory.getDAOFactory(DAOFactory.HSQLDB).getUserDAO();
		UserTO existing_user = user_dao.findUser(this.name);
		if ( existing_user == null ) {
			user_dao.insertUser(new UserTO(this.name,this.password));
			return "main";
		}
		else {
			return "already";
		}
	}

	// ---------------------------------------------------

	public boolean compare(String password) {
		byte[] candidate;
		try {
			MessageDigest md = MessageDigest.getInstance("SHA-1");
			candidate = md.digest(password.getBytes());
		} catch (Exception e) {
			// TODO: handle NoSuchAlgorithmException in a better way
			 candidate = new byte[]{};
		}
		return this.getPassword().equals(new String(candidate));
	}

}
