package it.unibo.tw0708.web.dao;

import it.unibo.tw0708.web.dao.hsqldb.HsqldbDAOFactory;

public abstract class DAOFactory {

	// List of supported DAO types
	public static final int HSQLDB = 1;
	public static final int MYSQL = 2;
	
	public static DAOFactory getDAOFactory(int whichFactory) {
		switch ( whichFactory ) {
		case HSQLDB:
			return new HsqldbDAOFactory();
		case MYSQL:
			// return new MySqlDAOFactory();
			throw new RuntimeException("Not supported, yet!!");
		default:
			return null;
		}
	}
	
	// Abstract methods for creating DAO objects
	public abstract UserDAO getUserDAO();
	public abstract CompactDiscDAO getCompactDiscDAO();

}
