package it.unibo.tw0708.web.datamodel.paging;

import it.unibo.tw0708.web.dao.CompactDiscDAO;
import it.unibo.tw0708.web.dao.CompactDiscTO;
import it.unibo.tw0708.web.dao.DAOFactory;
import it.unibo.tw0708.web.datamodel.CdModel;

import java.util.ArrayList;
import java.util.List;

public class PagedCdDataModel 
extends PagedListDataModel {

	private int owner;
	private int db_type;
	
	public PagedCdDataModel(int owner, int pageSize, int db_type) {
		super(pageSize);
		this.owner = owner;
		this.db_type = db_type;
	}

	public DataPage<CdModel> fetchPage(int startRow, int pageSize) {
		CompactDiscDAO cd_dao =
			DAOFactory
				.getDAOFactory(this.db_type)
					.getCompactDiscDAO();
		List<CompactDiscTO> cd_to_s = 
			cd_dao.getCompactDiscs(this.owner, startRow, pageSize);
		int total = cd_dao.getCompactDiscNumber(this.owner);
		// now transform data in suitable results...
		List<CdModel> cdmodels = new ArrayList<CdModel>();
		for ( CompactDiscTO cd_to : cd_to_s ) {
			cdmodels.add(new CdModel(cd_to));
		}
		return new DataPage<CdModel>(total,startRow,cdmodels);
	}

}