package it.unibo.tw0708.web.datamodel.sorting;

import it.unibo.tw0708.web.datamodel.CdModel;
import it.unibo.tw0708.web.datamodel.sorting.comparators.DownByArtistComparator;
import it.unibo.tw0708.web.datamodel.sorting.comparators.DownByTitleComparator;
import it.unibo.tw0708.web.datamodel.sorting.comparators.DownByTracksComparator;
import it.unibo.tw0708.web.datamodel.sorting.comparators.DownByYearComparator;
import it.unibo.tw0708.web.datamodel.sorting.comparators.UpByArtistComparator;
import it.unibo.tw0708.web.datamodel.sorting.comparators.UpByTitleComparator;
import it.unibo.tw0708.web.datamodel.sorting.comparators.UpByTracksComparator;
import it.unibo.tw0708.web.datamodel.sorting.comparators.UpByYearComparator;

import java.util.Arrays;
import java.util.List;

import javax.faces.model.ListDataModel;

public class SortableCdDataModel 
extends SortableDataModel {

   public SortableCdDataModel(List<CdModel> cds) {
	   super(new ListDataModel(cds));
   }

   // ============================================================================

   @SuppressWarnings("unchecked")
   public String sortUpByArtist() {
      Arrays.sort(rows, new UpByArtistComparator());
      return null;
   }
   @SuppressWarnings("unchecked")
   public String sortDownByArtist() {
      Arrays.sort(rows, new DownByArtistComparator());
      return null;
   }

   @SuppressWarnings("unchecked")
   public String sortUpByTitle() {
      Arrays.sort(rows, new UpByTitleComparator());
      return null;
   }
   @SuppressWarnings("unchecked")
   public String sortDownByTitle() {
      Arrays.sort(rows, new DownByTitleComparator());
      return null;
   }

   @SuppressWarnings("unchecked")
   public String sortUpByTracks() {
      Arrays.sort(rows, new UpByTracksComparator());
      return null;
   }
   @SuppressWarnings("unchecked")
   public String sortDownByTracks() {
      Arrays.sort(rows, new DownByTracksComparator());
      return null;
   }

   @SuppressWarnings("unchecked")
   public String sortUpByYear() {
      Arrays.sort(rows, new UpByYearComparator());
      return null;
   }
   @SuppressWarnings("unchecked")
   public String sortDownByYear() {
      Arrays.sort(rows, new DownByYearComparator());
      return null;
   }

}
