package it.unibo.tw0708.web.datamodel.sorting;

import javax.faces.model.DataModel;
import javax.faces.model.DataModelListener;

public abstract class SortableDataModel 
extends DataModel {

	protected DataModel model;
	protected Row[] rows;

    // -----------------------------------------------

    public class Row {
    	// .......................
    	private int row;
    	// .......................
    	public Row(int row) {
    		this.row = row;
    	}
    	// .......................
    	public Object getRowData() {
			int originalIndex = model.getRowIndex();
			model.setRowIndex(row);
			Object thisRowData = model.getRowData();
			model.setRowIndex(originalIndex);
			return thisRowData;
    	}
    	// .......................
	}

   // -----------------------------------------------

   protected SortableDataModel(DataModel model) {
      this.model = model;
      int rowCnt = model.getRowCount();
      if(rowCnt != -1) {
         rows = new Row[rowCnt];
         for(int i=0; i < rowCnt; ++i) {
            rows[i] = new Row(i);
         }
      }
   }

   public void setRowIndex(int rowIndex) {
      if(rowIndex == -1 || rowIndex >= model.getRowCount()) {
         model.setRowIndex(rowIndex);
      }
      else {
         model.setRowIndex(rows[rowIndex].row);
      }
   }
   
   // -----------------------------------------------

   // The following methods delegate directly to the 
   // decorated model
   
   public boolean isRowAvailable() {
      return model.isRowAvailable();
   }
   public int getRowCount() {
      return model.getRowCount();
   }
   public Object getRowData() {
      return model.getRowData();
   }
   public int getRowIndex() {
      return model.getRowIndex();
   }
   public Object getWrappedData() {
      return model.getWrappedData();
   }
   public void setWrappedData(Object data) {
      model.setWrappedData(data);
   }
   public void addDataModelListener(DataModelListener listener) {
      model.addDataModelListener(listener);
   }
   public DataModelListener[] getDataModelListeners() {
      return model.getDataModelListeners();
   }
   public void removeDataModelListener(DataModelListener listener) {
      model.removeDataModelListener(listener);
   }

}
