<html>
   <%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
   <%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
	
   <f:view>
	<f:loadBundle basename="login.Messages" var="msg"/>
    
    <head>                  
        <title>${msg.title}</title>
		<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/default.css" type="text/css"/>
		<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/home.css" type="text/css"/>
     </head> 
    
      <body>
         <h:form>
			<h:panelGrid 
				styleClass="grid"
				headerClass="header"
				footerClass="header"
				rowClasses="row1"
				columnClasses="column1,column2"
				columns="2"
			>
			<f:facet name="header">
				<h:outputText value="#{msg.main}"/>
			</f:facet>

			<h:outputText value="#{msg.username}"/>
			<h:panelGroup>
				<h:inputText value="#{user.name}" required="true" id="usr"/>
				<h:message for="usr" errorClass="errors"/>
			</h:panelGroup>

			<h:outputText value="#{msg.password}"/>
			<h:panelGroup>
				<h:inputSecret value="#{user.password}" redisplay="true" required="true" id="pwd"/>
				<h:message for="pwd" errorClass="errors"/>
			</h:panelGroup>

			<f:facet name="footer">
				<h:outputText value="#{msg.alternate}"/>
			</f:facet>
		</h:panelGrid>
		
		<f:verbatim><br/><hr/><br/></f:verbatim>

		<h:commandButton value="#{msg.login}" action="#{user.login}" />
		<f:verbatim>&nbsp;</f:verbatim>
		<h:commandButton value="#{msg.new}" action="#{user.createNew}" />

		<f:verbatim><br/><hr/><br/></f:verbatim>

		<h:panelGrid columns="3">
		   <h:commandLink immediate="true" 
		      action="#{localeChanger.changeLocaleToEnglish}">
		      <h:graphicImage value="/images/britain_flag.gif" styleClass="image"/>
		   </h:commandLink>

		   <h:commandLink immediate="true" 
		      action="#{localeChanger.changeLocaleToItalian}">
		      <h:graphicImage value="/images/italy_flag.gif" styleClass="image"/>
		   </h:commandLink>

         <h:commandLink immediate="true" 
            action="#{localeChanger.changeLocaleToSpanish}">
            <h:graphicImage value="/images/spain_flag.gif" styleClass="image"/>
         </h:commandLink>
       </h:panelGrid>

         </h:form>

		<%@ include file="../fragments/footer" %>

      </body>
   </f:view>
</html>