<html>
   <%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
   <%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
	
   <f:view>
	<f:loadBundle basename="album.Messages" var="msg"/>
    
    <head>                  
        <title>${msg.pagetitlemain}</title>
		<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/default.css" type="text/css"/>
		<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/main.css" type="text/css"/>
     </head> 
    
      <body onload="document.getElementById('main').style.backgroundColor='#aaa';">

		<%@ include file="../fragments/menu" %>

		<div id="content">
      
         <h:form>

			<h:outputText value="#{msg.owner} = #{user.name}"/>
			<f:verbatim><br/></f:verbatim>
			<h:outputText value="#{msg.cdnumber} = #{manager.compactDiscs.rowCount}"/>

			<!-- ================================================================================== -->
			<f:verbatim><br/><hr/><br/></f:verbatim>
			<!-- ================================================================================== -->

			<h:dataTable headerClass="header" rowClasses="row1,row2" var="cd" value="#{manager.compactDiscs}">
				
				<h:column>
					<f:facet name="header">
						<h:outputText value="#{msg.delete}"/>
					</f:facet>
					<h:selectBooleanCheckbox value="#{cd.toDelete}"/>
				</h:column>

				<h:column>
					<f:facet name="header">
						<h:outputText value="#{msg.edit}"/>
					</f:facet>
					<h:selectBooleanCheckbox value="#{cd.editable}" onchange="submit()" />
				</h:column>

				<h:column>
					<f:facet name="header">
						<h:outputText value="#{msg.artist}"/>
					</f:facet>
					<h:outputText value="#{cd.data.artist}" rendered="#{not cd.editable}"/>
					<h:inputText value="#{cd.data.artist}" rendered="#{cd.editable}"/>
				</h:column>

				<h:column>
					<f:facet name="header">
						<h:outputText value="#{msg.title}"/>
					</f:facet>
					<h:outputText value="#{cd.data.title}" rendered="#{not cd.editable}"/>
					<h:inputText value="#{cd.data.title}" rendered="#{cd.editable}"/>
				</h:column>

				<h:column>
					<f:facet name="header">
						<h:outputText value="#{msg.tracks}"/>
					</f:facet>
					<h:outputText value="#{cd.data.tracks}" rendered="#{not cd.editable}"/>
					<h:selectOneListbox size="1" value="#{cd.data.tracks}" rendered="#{cd.editable}" >
						<f:selectItems value="#{manager.tracks}"/>
					</h:selectOneListbox>
				</h:column>
				
				<h:column>
					<f:facet name="header">
						<h:outputText value="#{msg.year}"/>
					</f:facet>
					<h:outputText value="#{cd.data.year}" rendered="#{not cd.editable}"/>
					<h:selectOneListbox size="1" value="#{cd.data.year}" rendered="#{cd.editable}" >
						<f:selectItems value="#{manager.years}"/>
					</h:selectOneListbox>
				</h:column>
				
				<h:column>
					<f:facet name="header">
						<h:outputText value="#{msg.compilation}"/>
					</f:facet>
					<h:outputText value="#{cd.data.compilation}" rendered="#{not cd.editable}"/>
					<h:selectBooleanCheckbox value="#{cd.data.compilation}" rendered="#{cd.editable}"/>
				</h:column>

			</h:dataTable>

			<h:commandButton action="#{manager.updateCompactDiscs}" value="#{msg.update}"/>
			<f:verbatim>&nbsp;</f:verbatim>
			<h:commandButton action="#{manager.reset}" value="#{msg.discard}"/>

         </h:form>

		</div>
		
		<%@ include file="../fragments/footer" %>

      </body>
   </f:view>
</html>