<html>
   <%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
   <%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
   <%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t" %>
	
   <f:view>
	<f:loadBundle basename="album.Messages" var="msg"/>
    
    <head>                  
        <title>${msg.pagetitlesort}</title>
		<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/default.css" type="text/css"/>
		<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/main.css" type="text/css"/>
     </head> 
    
      <body onload="document.getElementById('paging').style.backgroundColor='#aaa';">

		<%@ include file="../fragments/menu" %>

		<div id="content">
      
         <h:form>

			<h:outputText value="#{msg.owner} = #{user.name}"/>
			<f:verbatim><br/></f:verbatim>
			<h:outputText value="#{msg.cdnumber} = #{manager.compactDiscs.rowCount}"/>

			<!-- ================================================================================== -->
			<f:verbatim><br/><hr/><br/></f:verbatim>
			<!-- ================================================================================== -->

			<h:dataTable id="cds" 
				var="cd"
				value="#{manager.pagedCompactDiscs}" 
				rows="#{manager.pageSize}"
				headerClass="header" 
				rowClasses="row1,row2" 
			>

				<h:column>
					<f:facet name="header">
						<h:outputText value="#{msg.artist}"/>
					</f:facet>
					<h:outputText value="#{cd.data.artist}" />
				</h:column>

				<h:column>
					<f:facet name="header">
						<h:outputText value="#{msg.title}"/>
					</f:facet>
					<h:outputText value="#{cd.data.title}" />
				</h:column>

				<h:column>
					<f:facet name="header">
						<h:outputText value="#{msg.tracks}"/>
					</f:facet>
					<h:outputText value="#{cd.data.tracks}" />
				</h:column>
				
				<h:column>
					<f:facet name="header">
						<h:outputText value="#{msg.year}"/>
					</f:facet>
					<h:outputText value="#{cd.data.year}" />
				</h:column>
				
				<h:column>
					<f:facet name="header">
						<h:outputText value="#{msg.compilation}"/>
					</f:facet>
					<h:outputText value="#{cd.data.compilation}" />
				</h:column>

				<f:facet name="footer">
					<t:dataScroller 
						fastStep="3"
						paginator="true" 
						paginatorMaxPages="5"
					>
						<f:facet name="first">
							<t:graphicImage url="#{imagesMap['first']}" border="1" />
						</f:facet>
						<f:facet name="fastrewind">
							<t:graphicImage url="#{imagesMap['fastrewind']}" border="1" />
						</f:facet>
						<f:facet name="previous">
							<t:graphicImage url="#{imagesMap['previous']}" border="1" />
						</f:facet>
						<f:facet name="next">
							<t:graphicImage url="#{imagesMap['next']}" border="1" />
						</f:facet>
						<f:facet name="fastforward">
							<t:graphicImage url="#{imagesMap['fastforward']}" border="1" />
						</f:facet>
						<f:facet name="last">
							<t:graphicImage url="#{imagesMap['last']}" border="1" />
						</f:facet>
					</t:dataScroller>
				</f:facet>

			</h:dataTable>

			<f:verbatim><br/><br/></f:verbatim>

			<h:outputLabel for="pageSizeInput" value="#{msg.pagesize}"/>
			<h:inputText value="#{manager.pageSize}"/>
			<h:commandButton action="#{manager.reset}" value="#{msg.update}"/>

         </h:form>

		</div>
		
		<%@ include file="../fragments/footer" %>

      </body>
   </f:view>
</html>