<html>
   <%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
   <%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
	
   <f:view>
	<f:loadBundle basename="album.Messages" var="msg"/>
    
    <head>                  
        <title>${msg.pagetitlesort}</title>
		<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/default.css" type="text/css"/>
		<link rel="stylesheet" href="<%= request.getContextPath() %>/styles/main.css" type="text/css"/>
     </head> 
    
      <body onload="document.getElementById('sort').style.backgroundColor='#aaa';">

		<%@ include file="../fragments/menu" %>

		<div id="content">
      
         <h:form>

			<h:outputText value="#{msg.owner} = #{user.name}"/>
			<f:verbatim><br/></f:verbatim>
			<h:outputText value="#{msg.cdnumber} = #{manager.compactDiscs.rowCount}"/>

			<!-- ================================================================================== -->
			<f:verbatim><br/><hr/><br/></f:verbatim>
			<!-- ================================================================================== -->

			<h:dataTable headerClass="header" rowClasses="row1,row2" var="cd" value="#{manager.sortableCompactDiscs}">
				
				<h:column>
					<f:facet name="header">
						<h:panelGroup>
							<h:outputText value="#{msg.artist}"/>
							<f:verbatim>&nbsp;</f:verbatim>
		                     <h:commandLink action="#{manager.sortableCompactDiscs.sortUpByArtist}">  
		                        <h:outputText value="#{msg.up}"/> 
		                     </h:commandLink>
							<f:verbatim>&nbsp;</f:verbatim>
		                     <h:commandLink action="#{manager.sortableCompactDiscs.sortDownByArtist}">  
		                        <h:outputText value="#{msg.down}"/> 
		                     </h:commandLink>
						</h:panelGroup>
					</f:facet>
					<h:outputText value="#{cd.data.artist}" />
				</h:column>

				<h:column>
					<f:facet name="header">
						<h:panelGroup>
							<h:outputText value="#{msg.title}"/>
							<f:verbatim>&nbsp;</f:verbatim>
		                     <h:commandLink action="#{manager.sortableCompactDiscs.sortUpByTitle}">  
		                        <h:outputText value="#{msg.up}"/> 
		                     </h:commandLink>
							<f:verbatim>&nbsp;</f:verbatim>
		                     <h:commandLink action="#{manager.sortableCompactDiscs.sortDownByTitle}">  
		                        <h:outputText value="#{msg.down}"/> 
		                     </h:commandLink>
						</h:panelGroup>
					</f:facet>
					<h:outputText value="#{cd.data.title}" />
				</h:column>

				<h:column>
					<f:facet name="header">
						<h:panelGroup>
							<h:outputText value="#{msg.tracks}"/>
							<f:verbatim>&nbsp;</f:verbatim>
		                     <h:commandLink action="#{manager.sortableCompactDiscs.sortUpByTracks}">  
		                        <h:outputText value="#{msg.up}"/> 
		                     </h:commandLink>
							<f:verbatim>&nbsp;</f:verbatim>
		                     <h:commandLink action="#{manager.sortableCompactDiscs.sortDownByTracks}">  
		                        <h:outputText value="#{msg.down}"/> 
		                     </h:commandLink>
						</h:panelGroup>
					</f:facet>
					<h:outputText value="#{cd.data.tracks}" />
				</h:column>
				
				<h:column>
					<f:facet name="header">
						<h:panelGroup>
							<h:outputText value="#{msg.year}"/>
							<f:verbatim>&nbsp;</f:verbatim>
		                     <h:commandLink action="#{manager.sortableCompactDiscs.sortUpByYear}">  
		                        <h:outputText value="#{msg.up}"/> 
		                     </h:commandLink>
							<f:verbatim>&nbsp;</f:verbatim>
		                     <h:commandLink action="#{manager.sortableCompactDiscs.sortDownByYear}">  
		                        <h:outputText value="#{msg.down}"/> 
		                     </h:commandLink>
						</h:panelGroup>
					</f:facet>
					<h:outputText value="#{cd.data.year}" />
				</h:column>
				
				<h:column>
					<f:facet name="header">
						<h:outputText value="#{msg.compilation}"/>
					</f:facet>
					<h:outputText value="#{cd.data.compilation}" />
				</h:column>

			</h:dataTable>

         </h:form>

		</div>
		
		<%@ include file="../fragments/footer" %>

      </body>
   </f:view>
</html>